.flash bbox=800x400 fps=30 background=white

  .font myfont "/usr/X11R6/lib/X11/fonts/TTF/luxisb.ttf"
#                                     card graphics
  .png Cback "./deck/back.png"
  .png CAc "./deck/Ac.png"  .png CKc "./deck/Kc.png"
  .png CQc "./deck/Qc.png"  .png CJc "./deck/Jc.png"
  .png CTc "./deck/Tc.png"  .png C9c "./deck/9c.png"
  .png C8c "./deck/8c.png"  .png C7c "./deck/7c.png"
  .png C6c "./deck/6c.png"  .png C5c "./deck/5c.png"
  .png C4c "./deck/4c.png"  .png C3c "./deck/3c.png"
  .png C2c "./deck/2c.png"  .png CAd "./deck/Ad.png"
  .png CKd "./deck/Kd.png"  .png CQd "./deck/Qd.png"
  .png CJd "./deck/Jd.png"  .png CTd "./deck/Td.png"
  .png C9d "./deck/9d.png"  .png C8d "./deck/8d.png"
  .png C7d "./deck/7d.png"  .png C6d "./deck/6d.png"
  .png C5d "./deck/5d.png"  .png C4d "./deck/4d.png"
  .png C3d "./deck/3d.png"  .png C2d "./deck/2d.png"
  .png CAh "./deck/Ah.png"  .png CKh "./deck/Kh.png"
  .png CQh "./deck/Qh.png"  .png CJh "./deck/Jh.png"
  .png CTh "./deck/Th.png"  .png C9h "./deck/9h.png"
  .png C8h "./deck/8h.png"  .png C7h "./deck/7h.png"
  .png C6h "./deck/6h.png"  .png C5h "./deck/5h.png"
  .png C4h "./deck/4h.png"  .png C3h "./deck/3h.png"
  .png C2h "./deck/2h.png"  .png CAs "./deck/As.png"
  .png CKs "./deck/Ks.png"  .png CQs "./deck/Qs.png"
  .png CJs "./deck/Js.png"  .png CTs "./deck/Ts.png"
  .png C9s "./deck/9s.png"  .png C8s "./deck/8s.png"
  .png C7s "./deck/7s.png"  .png C6s "./deck/6s.png"
  .png C5s "./deck/5s.png"  .png C4s "./deck/4s.png"
  .png C3s "./deck/3s.png"  .png C2s "./deck/2s.png"
#                                     And the card sprite
  .sprite Card
    .frame 1 .put CAc    .frame 2 .put CKc    .frame 3 .put CQc
    .frame 4 .put CJc    .frame 5 .put CTc    .frame 6 .put C9c
    .frame 7 .put C8c    .frame 8 .put C7c    .frame 9 .put C6c
    .frame 10 .put C5c    .frame 11 .put C4c    .frame 12 .put C3c
    .frame 13 .put C2c    .frame 14 .put CAd    .frame 15 .put CKd
    .frame 16 .put CQd    .frame 17 .put CJd    .frame 18 .put CTd
    .frame 19 .put C9d    .frame 20 .put C8d    .frame 21 .put C7d
    .frame 22 .put C6d    .frame 23 .put C5d    .frame 24 .put C4d
    .frame 25 .put C3d    .frame 26 .put C2d    .frame 27 .put CAh
    .frame 28 .put CKh    .frame 29 .put CQh    .frame 30 .put CJh
    .frame 31 .put CTh    .frame 32 .put C9h    .frame 33 .put C8h
    .frame 34 .put C7h    .frame 35 .put C6h    .frame 36 .put C5h
    .frame 37 .put C4h    .frame 38 .put C3h    .frame 39 .put C2h
    .frame 40 .put CAs    .frame 41 .put CKs    .frame 42 .put CQs
    .frame 43 .put CJs    .frame 44 .put CTs    .frame 45 .put C9s
    .frame 46 .put C8s    .frame 47 .put C7s    .frame 48 .put C6s
    .frame 49 .put C5s    .frame 50 .put C4s    .frame 51 .put C3s
    .frame 52 .put C2s    .frame 53 .put Cback
  .end
  .put Card x=900 y=100

#                            Shuffle button
  .box shuffle_button_idle width=60 height=20 color=black fill=white line=1
  .box shuffle_button_hover width=60 height=20 color=black fill=yellow line=1
  .box shuffle_button_pressed width=60 height=20 fill=black
  .text shuffle_button_text font=myfont text="SHUFFLE" color=black size=20%
  .button shuffle_button
    .show shuffle_button_idle as=idle
    .show shuffle_button_hover as=hover
    .show shuffle_button_pressed as=pressed
    .on_press:
      Shuffle();
    .end
  .end
  .put shuffle_button x=730 y=200
  .put shuffle_button_text x=734 y=214



.action:

/*                       The deck, proper, has the name
 *                       of each card, for use in determining
 *                       hands from inside the program
 */
  New_Deck=
   ["NULL",
    "Ac","Kc","Qc","Jc","Tc","9c","8c","7c","6c","5c","4c","3c","2c",
    "Ad","Kd","Qd","Jd","Td","9d","8d","7d","6d","5d","4d","3d","2d",
    "Ah","Kh","Qh","Jh","Th","9h","8h","7h","6h","5h","4h","3h","2h",
    "As","Ks","Qs","Js","Ts","9s","8s","7s","6s","5s","4s","3s","2s"];
  Deck=New_Deck;
/*                       The deck values are just numbers
 *                       corresponding to what sprite
 *                       the program displays on the screen
 */
  New_Deck_Value=[0,
                  1, 2, 3, 4, 5, 6, 7, 8, 9,10,11,12,13,
                 14,15,16,17,18,19,20,21,22,23,24,25,26,
                 27,28,29,30,31,32,33,34,35,36,37,38,39,
                 40,41,42,43,44,45,46,47,48,49,50,51,52];
  Deck_Value=New_Deck_Value;

  duplicateMovieClip("Card","Card1",1);
  Card1._x=10; Card1._y=20; Card1.gotoAndStop(Deck_Value[1]);
  duplicateMovieClip("Card","Card2",2);
  Card2._x=60; Card2._y=20; Card2.gotoAndStop(Deck_Value[2]);
  duplicateMovieClip("Card","Card3",3);
  Card3._x=110; Card3._y=20; Card3.gotoAndStop(Deck_Value[3]);
  duplicateMovieClip("Card","Card4",4);
  Card4._x=160; Card4._y=20; Card4.gotoAndStop(Deck_Value[4]);
  duplicateMovieClip("Card","Card5",5);
  Card5._x=210; Card5._y=20; Card5.gotoAndStop(Deck_Value[5]);
  duplicateMovieClip("Card","Card6",6);
  Card6._x=260; Card6._y=20; Card6.gotoAndStop(Deck_Value[6]);
  duplicateMovieClip("Card","Card7",7);
  Card7._x=310; Card7._y=20; Card7.gotoAndStop(Deck_Value[7]);
  duplicateMovieClip("Card","Card8",8);
  Card8._x=360; Card8._y=20; Card8.gotoAndStop(Deck_Value[8]);
  duplicateMovieClip("Card","Card9",9);
  Card9._x=410; Card9._y=20; Card9.gotoAndStop(Deck_Value[9]);
  duplicateMovieClip("Card","Card10",10);
  Card10._x=460; Card10._y=20; Card10.gotoAndStop(Deck_Value[10]);
  duplicateMovieClip("Card","Card11",11);
  Card11._x=510; Card11._y=20; Card11.gotoAndStop(Deck_Value[11]);
  duplicateMovieClip("Card","Card12",12);
  Card12._x=560; Card12._y=20; Card12.gotoAndStop(Deck_Value[12]);
  duplicateMovieClip("Card","Card13",13);
  Card13._x=610; Card13._y=20; Card13.gotoAndStop(Deck_Value[13]);

  duplicateMovieClip("Card","Card14",14);
  Card14._x=10; Card14._y=120; Card14.gotoAndStop(Deck_Value[14]);
  duplicateMovieClip("Card","Card15",15);
  Card15._x=60; Card15._y=120; Card15.gotoAndStop(Deck_Value[15]);
  duplicateMovieClip("Card","Card16",16);
  Card16._x=110; Card16._y=120; Card16.gotoAndStop(Deck_Value[16]);
  duplicateMovieClip("Card","Card17",17);
  Card17._x=160; Card17._y=120; Card17.gotoAndStop(Deck_Value[17]);
  duplicateMovieClip("Card","Card18",18);
  Card18._x=210; Card18._y=120; Card18.gotoAndStop(Deck_Value[18]);
  duplicateMovieClip("Card","Card19",19);
  Card19._x=260; Card19._y=120; Card19.gotoAndStop(Deck_Value[19]);
  duplicateMovieClip("Card","Card20",20);
  Card20._x=310; Card20._y=120; Card20.gotoAndStop(Deck_Value[20]);
  duplicateMovieClip("Card","Card21",21);
  Card21._x=360; Card21._y=120; Card21.gotoAndStop(Deck_Value[21]);
  duplicateMovieClip("Card","Card22",22);
  Card22._x=410; Card22._y=120; Card22.gotoAndStop(Deck_Value[22]);
  duplicateMovieClip("Card","Card23",23);
  Card23._x=460; Card23._y=120; Card23.gotoAndStop(Deck_Value[23]);
  duplicateMovieClip("Card","Card24",24);
  Card24._x=510; Card24._y=120; Card24.gotoAndStop(Deck_Value[24]);
  duplicateMovieClip("Card","Card25",25);
  Card25._x=560; Card25._y=120; Card25.gotoAndStop(Deck_Value[25]);
  duplicateMovieClip("Card","Card26",26);
  Card26._x=610; Card26._y=120; Card26.gotoAndStop(Deck_Value[26]);

  duplicateMovieClip("Card","Card27",27);
  Card27._x=10; Card27._y=220; Card27.gotoAndStop(Deck_Value[27]);
  duplicateMovieClip("Card","Card28",28);
  Card28._x=60; Card28._y=220; Card28.gotoAndStop(Deck_Value[28]);
  duplicateMovieClip("Card","Card29",29);
  Card29._x=110; Card29._y=220; Card29.gotoAndStop(Deck_Value[29]);
  duplicateMovieClip("Card","Card30",30);
  Card30._x=160; Card30._y=220; Card30.gotoAndStop(Deck_Value[30]);
  duplicateMovieClip("Card","Card31",31);
  Card31._x=210; Card31._y=220; Card31.gotoAndStop(Deck_Value[31]);
  duplicateMovieClip("Card","Card32",32);
  Card32._x=260; Card32._y=220; Card32.gotoAndStop(Deck_Value[32]);
  duplicateMovieClip("Card","Card33",33);
  Card33._x=310; Card33._y=220; Card33.gotoAndStop(Deck_Value[33]);
  duplicateMovieClip("Card","Card34",34);
  Card34._x=360; Card34._y=220; Card34.gotoAndStop(Deck_Value[34]);
  duplicateMovieClip("Card","Card35",35);
  Card35._x=410; Card35._y=220; Card35.gotoAndStop(Deck_Value[35]);
  duplicateMovieClip("Card","Card36",36);
  Card36._x=460; Card36._y=220; Card36.gotoAndStop(Deck_Value[36]);
  duplicateMovieClip("Card","Card37",37);
  Card37._x=510; Card37._y=220; Card37.gotoAndStop(Deck_Value[37]);
  duplicateMovieClip("Card","Card38",38);
  Card38._x=560; Card38._y=220; Card38.gotoAndStop(Deck_Value[38]);
  duplicateMovieClip("Card","Card39",39);
  Card39._x=610; Card39._y=220; Card39.gotoAndStop(Deck_Value[39]);

  duplicateMovieClip("Card","Card40",40);
  Card40._x=10; Card40._y=320; Card40.gotoAndStop(Deck_Value[40]);
  duplicateMovieClip("Card","Card41",41);
  Card41._x=60; Card41._y=320; Card41.gotoAndStop(Deck_Value[41]);
  duplicateMovieClip("Card","Card42",42);
  Card42._x=110; Card42._y=320; Card42.gotoAndStop(Deck_Value[42]);
  duplicateMovieClip("Card","Card43",43);
  Card43._x=160; Card43._y=320; Card43.gotoAndStop(Deck_Value[43]);
  duplicateMovieClip("Card","Card44",44);
  Card44._x=210; Card44._y=320; Card44.gotoAndStop(Deck_Value[44]);
  duplicateMovieClip("Card","Card45",45);
  Card45._x=260; Card45._y=320; Card45.gotoAndStop(Deck_Value[45]);
  duplicateMovieClip("Card","Card46",46);
  Card46._x=310; Card46._y=320; Card46.gotoAndStop(Deck_Value[46]);
  duplicateMovieClip("Card","Card47",47);
  Card47._x=360; Card47._y=320; Card47.gotoAndStop(Deck_Value[47]);
  duplicateMovieClip("Card","Card48",48);
  Card48._x=410; Card48._y=320; Card48.gotoAndStop(Deck_Value[48]);
  duplicateMovieClip("Card","Card49",49);
  Card49._x=460; Card49._y=320; Card49.gotoAndStop(Deck_Value[49]);
  duplicateMovieClip("Card","Card50",50);
  Card50._x=510; Card50._y=320; Card50.gotoAndStop(Deck_Value[50]);
  duplicateMovieClip("Card","Card51",51);
  Card51._x=560; Card51._y=320; Card51.gotoAndStop(Deck_Value[51]);
  duplicateMovieClip("Card","Card52",52);
  Card52._x=610; Card52._y=320; Card52.gotoAndStop(Deck_Value[52]);

  function Shuffle()
  {
    Deck=New_Deck;
    Deck_Value=New_Deck_Value;
    for(lll=0;lll<300;lll++)
    {
      C1=random(52)+1; C2=random(52)+1;
      Temp1=Deck[C1]; Temp2=Deck[C2];
      Deck[C1]=Temp2; Deck[C2]=Temp1;
      Temp1=Deck_Value[C1]; Temp2=Deck_Value[C2];
      Deck_Value[C1]=Temp2; Deck_Value[C2]=Temp1;      
    }
    Card1.gotoAndStop(Deck_Value[1]);
    Card2.gotoAndStop(Deck_Value[2]);
    Card3.gotoAndStop(Deck_Value[3]);
    Card4.gotoAndStop(Deck_Value[4]);
    Card5.gotoAndStop(Deck_Value[5]);
    Card6.gotoAndStop(Deck_Value[6]);
    Card7.gotoAndStop(Deck_Value[7]);
    Card8.gotoAndStop(Deck_Value[8]);
    Card9.gotoAndStop(Deck_Value[9]);
    Card10.gotoAndStop(Deck_Value[10]);
    Card11.gotoAndStop(Deck_Value[11]);
    Card12.gotoAndStop(Deck_Value[12]);
    Card13.gotoAndStop(Deck_Value[13]);
    Card14.gotoAndStop(Deck_Value[14]);
    Card15.gotoAndStop(Deck_Value[15]);
    Card16.gotoAndStop(Deck_Value[16]);
    Card17.gotoAndStop(Deck_Value[17]);
    Card18.gotoAndStop(Deck_Value[18]);
    Card19.gotoAndStop(Deck_Value[19]);
    Card20.gotoAndStop(Deck_Value[20]);
    Card21.gotoAndStop(Deck_Value[21]);
    Card22.gotoAndStop(Deck_Value[22]);
    Card23.gotoAndStop(Deck_Value[23]);
    Card24.gotoAndStop(Deck_Value[24]);
    Card25.gotoAndStop(Deck_Value[25]);
    Card26.gotoAndStop(Deck_Value[26]);
    Card27.gotoAndStop(Deck_Value[27]);
    Card28.gotoAndStop(Deck_Value[28]);
    Card29.gotoAndStop(Deck_Value[29]);
    Card30.gotoAndStop(Deck_Value[30]);
    Card31.gotoAndStop(Deck_Value[31]);
    Card32.gotoAndStop(Deck_Value[32]);
    Card33.gotoAndStop(Deck_Value[33]);
    Card34.gotoAndStop(Deck_Value[34]);
    Card35.gotoAndStop(Deck_Value[35]);
    Card36.gotoAndStop(Deck_Value[36]);
    Card37.gotoAndStop(Deck_Value[37]);
    Card38.gotoAndStop(Deck_Value[38]);
    Card39.gotoAndStop(Deck_Value[39]);
    Card40.gotoAndStop(Deck_Value[40]);
    Card41.gotoAndStop(Deck_Value[41]);
    Card42.gotoAndStop(Deck_Value[42]);
    Card43.gotoAndStop(Deck_Value[43]);
    Card44.gotoAndStop(Deck_Value[44]);
    Card45.gotoAndStop(Deck_Value[45]);
    Card46.gotoAndStop(Deck_Value[46]);
    Card47.gotoAndStop(Deck_Value[47]);
    Card48.gotoAndStop(Deck_Value[48]);
    Card49.gotoAndStop(Deck_Value[49]);
    Card50.gotoAndStop(Deck_Value[50]);
    Card51.gotoAndStop(Deck_Value[51]);
    Card52.gotoAndStop(Deck_Value[52]);
  }

.end
.end
